#!/bin/sh
# Installs filters for this repository

# Should be run from
ROOT="$(git rev-parse --show-toplevel)"
cd "$ROOT"

# username filter, for automaticly removing usernames from checkins
git config filter.username.smudge dev/git-filter-smudge-username.sh
git config filter.username.clean dev/git-filter-clean-username.sh

# Initial smudge
sed -i -e "s/USERNAME/$USER/g" */cluster_info.json

# pre-commit hook to varify usernames aren't committed
if [ -f .git/hooks/pre-commit ]; then
    if ! cmp -s .git/hooks/pre-commit dev/pre-commit; then
        echo "ERROR: $ROOT/.git/hooks/pre-commit exists; skipping hook" >&2
    fi
else
    ln -s ../../dev/pre-commit .git/hooks/pre-commit
fi
