#!/bin/bash
# Remove old lanes from cryosparc
# usage: remove_old_lanes.sh [lanes]
# 
# If no lanes are specified, defaults to the lanes installed by connect_all.sh

: "${CRYOSPARCM:=/data/user/$USER/cryosparc/cryosparc2_master/bin/cryosparcm}"

if [[ ! -x "$CRYOSPARCM" ]]; then
    echo "ERROR: Unable to find cryosparcm at $CRYOSPARCM" >&2
    exit 1
fi

if [[ "$#" -gt 0 ]]; then
    LANES=("$@")
else
    LANES=("gpu" "gpu-big" "gpu-short" "gpu-rtx2080ti" "cpu-daily")
    # old lane names
    LANES+=("merlin6" "merlin6-big" "merlin6-short" "merlin6-rtx2080ti")
fi

success=1
for lane in "${LANES[@]}"; do
    echo "$CRYOSPARCM" cluster remove "$lane" >&2
    "$CRYOSPARCM" cluster remove "$lane"
    
    if [[ $? != 0 ]]; then
        echo "ERROR connecting $lane" >&2
        success=0
    fi
    echo >&2

done

if [[ $success == 0 ]]; then
    echo "Errors occured. See above." >&2
    exit 1
fi
